<template>
<b-row>
  <div class="header">
    <b-navbar variant="faded" type="light">
      <b-navbar-brand href="#">
        <img src="../assets/logo.svg" class="d-inline-block align-top" alt="Vidia logo">
      </b-navbar-brand>
      <b-button id="tooltip-info">
        <img src="../assets/info.svg" class="d-inline-block align-top white" alt="info">
      </b-button>
      <b-tooltip target="tooltip-info">
        Esta demonstração foi criada por Vinicius de Liz para Vidia
      </b-tooltip>
    </b-navbar>
  </div>
</b-row>
</template>

<script>
export default {
  name: 'AppHeader'
}
</script>

<style scoped>
  .header {
    background: #ff008c;
    width: 100%;
  }

  .header img {
    max-height: 55px;
  }

  .white {
    filter: invert(1)
  }

  .navbar-expand {
    justify-content: space-between;
  }

  .btn, .btn:focus, .btn:active, .btn:hover {
    background: transparent;
    border: 0;
  }

  .btn:focus, .btn-secondary:not(:disabled):not(.disabled):active:focus {
    box-shadow: 0 0 0 .2rem rgba(255,0,140,.5)
  }

  .btn-secondary:not(:disabled):not(.disabled):active {
    background: transparent;
    border: 0;
  }

  @media (min-width: 1023px) {
    .navbar-expand {
      padding-left: 5vw;
      padding-right: 5vw;
    }
  }

</style>